Package org.jetbrains.annotations

# Enum Class Nls.Capitalization

java.lang.Object
java.lang.Enum<Nls.Capitalization>
org.jetbrains.annotations.Nls.Capitalization

All Implemented Interfaces:
  `Serializable`, `Comparable<Nls.Capitalization>`, `Constable`

Enclosing class:
  Nls

public static enum Nls.Capitalization extends Enum<Nls.Capitalization>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NotSpecified`
`Sentence`
e.g.
`Title`
e.g.

## Method Summary

Modifier and Type
Method
Description
`static Nls.Capitalization`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Nls.Capitalization[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NotSpecified

public static final Nls.Capitalization NotSpecified

### Title

public static final Nls.Capitalization Title
e.g. This Is a Title

### Sentence

public static final Nls.Capitalization Sentence
e.g. This is a sentence

## Method Details

### values

public static Nls.Capitalization[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Nls.Capitalization valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null